SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
CREATE TABLE IF NOT EXISTS %prfx%.`usmarc_subfield_dm` (
  `tag` smallint(6) NOT NULL DEFAULT '0',
  `subfield_cd` char(1) NOT NULL DEFAULT '',
  `description` varchar(80) NOT NULL DEFAULT '',
  `repeatable_flg` char(1) NOT NULL DEFAULT '',
  PRIMARY KEY (`tag`,`subfield_cd`)
)  DEFAULT CHARSET=utf8;
INSERT INTO %prfx%.`usmarc_subfield_dm` (`tag`, `subfield_cd`, `description`, `repeatable_flg`) VALUES
(10, 'a', 'LC control number', 'N'),
(10, 'b', 'NUCMC control number', 'Y'),
(10, 'z', 'Canceled/invalid LC control number', 'Y'),
(10, '8', 'Field link and sequence number', 'Y'),
(13, 'a', 'Number', 'N'),
(13, 'b', 'Country', 'N'),
(13, 'c', 'Type of number', 'N'),
(13, 'd', 'Date', 'Y'),
(13, 'e', 'Status', 'Y'),
(13, 'f', 'Party to document', 'Y'),
(13, '6', 'Linkage', 'N'),
(13, '8', 'Field link and sequence number', 'Y'),
(15, 'a', 'National bibliography number', 'Y'),
(15, '2', 'Source', 'N'),
(15, '6', 'Linkage', 'N'),
(15, '8', 'Field link and sequence number', 'Y'),
(16, 'a', 'Record control number', 'N'),
(16, 'z', 'Canceled or invalid record control number', 'Y'),
(16, '2', 'Source', 'N'),
(16, '8', 'Field link and sequence number', 'Y'),
(17, 'a', 'Copyright registration number', 'Y'),
(17, 'b', 'Assigning agency', 'N'),
(17, '2', 'Source', 'N'),
(17, '6', 'Linkage', 'N'),
(17, '8', 'Field link and sequence number', 'Y'),
(18, 'a', 'Copyright article-fee code', 'N'),
(18, '8', 'Field link and sequence number', 'Y'),
(20, 'a', 'International Standard Book Number', 'N'),
(20, 'c', 'Terms of availability', 'N'),
(20, 'z', 'Canceled/invalid ISBN', 'Y'),
(20, '6', 'Linkage', 'N'),
(20, '8', 'Field link and sequence number', 'Y'),
(22, 'a', 'International Standard Serial Number', 'N'),
(22, 'y', 'Incorrect ISSN', 'Y'),
(22, 'z', 'Canceled ISSN', 'Y'),
(22, '6', 'Linkage', 'N'),
(22, '8', 'Field link and sequence number', 'Y'),
(24, 'a', 'Standard number or code', 'N'),
(24, 'c', 'Terms of availability', 'N'),
(24, 'd', 'Additional codes following the standard number or code', 'N'),
(24, 'z', 'Canceled/invalid standard number or code', 'Y'),
(24, '2', 'Source of number or code', 'N'),
(24, '6', 'Linkage', 'N'),
(24, '8', 'Field link and sequence number', 'Y'),
(25, 'a', 'Overseas acquisition number', 'Y'),
(25, '8', 'Field link and sequence number', 'Y'),
(27, 'a', 'Standard technical report number', 'N'),
(27, 'z', 'Canceled/invalid number', 'Y'),
(27, '6', 'Linkage', 'N'),
(27, '8', 'Field link and sequence number', 'Y'),
(28, 'a', 'Publisher number', 'N'),
(28, 'b', 'Source', 'N'),
(28, '6', 'Linkage', 'N'),
(28, '8', 'Field link and sequence number', 'Y'),
(30, 'a', 'CODEN', 'N'),
(30, 'z', 'Canceled/invalid CODEN', 'Y'),
(30, '6', 'Linkage', 'N'),
(30, '8', 'Field link and sequence number', 'Y'),
(32, 'a', 'Postal registration number', 'N'),
(32, 'b', 'Source (agency assigning number)', 'N'),
(32, '6', 'Linkage', 'N'),
(32, '8', 'Field link and sequence number', 'Y'),
(33, 'a', 'Formatted date/time', 'Y'),
(33, 'b', 'Geographic classification area code', 'Y'),
(33, 'c', 'Geographic classification subarea code', 'Y'),
(33, '3', 'Materials specified', 'N'),
(33, '6', 'Linkage', 'N'),
(33, '8', 'Field link and sequence number', 'Y'),
(34, 'a', 'Category of scale', 'N'),
(34, 'b', 'Constant ratio linear horizontal scale', 'Y'),
(34, 'c', 'Constant ratio linear vertical scale', 'Y'),
(34, 'd', 'Coordinates--westernmost longitude', 'N'),
(34, 'e', 'Coordinates--easternmost longitude', 'N'),
(34, 'f', 'Coordinates--northernmost latitude', 'N'),
(34, 'g', 'Coordinates--southernmost latitude', 'N'),
(34, 'h', 'Angular scale', 'Y'),
(34, 'j', 'Declination--northern limit', 'N'),
(34, 'k', 'Declination--southern limit', 'N'),
(34, 'm', 'Right ascension--eastern limit', 'N'),
(34, 'n', 'Right ascension--western limit', 'N'),
(34, 'p', 'Equinox', 'N'),
(34, 's', 'G-ring latitude', 'Y'),
(34, 't', 'G-ring longitude', 'Y'),
(34, '6', 'Linkage', 'N'),
(34, '8', 'Field link and sequence number', 'Y'),
(35, 'a', 'System control number', 'N'),
(35, 'z', 'Canceled/invalid control number', 'Y'),
(35, '6', 'Linkage', 'N'),
(35, '8', 'Field link and sequence number', 'Y'),
(36, 'a', 'Original study number', 'N'),
(36, 'b', 'Source (agency assigning number)', 'N'),
(36, '6', 'Linkage', 'N'),
(36, '8', 'Field link and sequence number', 'Y'),
(37, 'a', 'Stock number', 'N'),
(37, 'b', 'Source of stock number/acquisition', 'N'),
(37, 'c', 'Terms of availability', 'Y'),
(37, 'f', 'Form of issue', 'Y'),
(37, 'g', 'Additional format characteristics', 'Y'),
(37, 'n', 'Note', 'Y'),
(37, '6', 'Linkage', 'N'),
(37, '8', 'Field link and sequence number', 'Y'),
(40, 'a', 'Original cataloging agency', 'N'),
(40, 'b', 'Language of cataloging', 'N'),
(40, 'c', 'Transcribing agency', 'N'),
(40, 'd', 'Modifying agency', 'Y'),
(40, 'e', 'Description conventions', 'N'),
(40, '6', 'Linkage', 'N'),
(40, '8', 'Field link and sequence number', 'Y'),
(41, 'a', 'Language code of text/sound track or separate title', 'Y'),
(41, 'b', 'Language code of summary or abstract/overprinted title or subtitle', 'Y'),
(41, 'd', 'Language code of sung or spoken text', 'Y'),
(41, 'e', 'Language code of librettos', 'Y'),
(41, 'f', 'Language code of table of contents', 'Y'),
(41, 'g', 'Language code of accompanying material other than librettos', 'Y'),
(41, 'h', 'Language code of original and/or intermediate translations of text', 'Y'),
(41, '2', 'Source of code', 'N'),
(41, '6', 'Linkage', 'N'),
(41, '8', 'Field link and sequence number', 'Y'),
(42, 'a', 'Authentication code', 'Y'),
(43, 'a', 'Geographic area code', 'Y'),
(43, 'b', 'Local GAC code', 'Y'),
(43, 'c', 'ISO code', 'Y'),
(43, '2', 'Source of local code', 'Y'),
(43, '6', 'Linkage', 'N'),
(43, '8', 'Field link and sequence number', 'Y'),
(44, 'a', 'Country of publishing/producing entity code', 'Y'),
(44, 'b', 'Local subentity code', 'Y'),
(44, 'c', 'ISO code', 'Y'),
(44, '2', 'Source of local subentity code', 'Y'),
(44, '6', 'Linkage', 'N'),
(44, '8', 'Field link and sequence number', 'Y'),
(45, 'a', 'Time period code', 'Y'),
(45, 'b', 'Formatted 9999 B.C. through C.E. time period', 'Y'),
(45, 'c', 'Formatted pre-9999 B.C. time period', 'Y'),
(45, '6', 'Linkage', 'N'),
(45, '8', 'Field link and sequence number', 'Y'),
(46, 'a', 'Type of date code', 'N'),
(46, 'b', 'Date 1 (B.C. date)', 'N'),
(46, 'c', 'Date 1 (C.E. date)', 'N'),
(46, 'd', 'Date 2 (B.C. date)', 'N'),
(46, 'e', 'Date 2 (C.E. date)', 'N'),
(46, '6', 'Linkage', 'N'),
(46, '8', 'Field link and sequence number', 'Y'),
(47, 'a', 'Form of musical composition code', 'Y'),
(47, '8', 'Field link and sequence number', 'Y'),
(48, 'a', 'Performer or ensemble', 'Y'),
(48, 'b', 'Soloist', 'Y'),
(48, '8', 'Field link and sequence number', 'Y'),
(50, 'a', 'Classification number', 'Y'),
(50, 'b', 'Item number', 'N'),
(50, '3', 'Materials specified', 'N'),
(50, '6', 'Linkage', 'N'),
(50, '8', 'Field link and sequence number', 'Y'),
(51, 'a', 'Classification number', 'N'),
(51, 'b', 'Item number', 'N'),
(51, 'c', 'Copy information', 'N'),
(51, '8', 'Field link and sequence number', 'Y'),
(52, 'a', 'Geographic classification area code', 'N'),
(52, 'b', 'Geographic classification subarea code', 'Y'),
(52, 'd', 'Populated place name', 'Y'),
(52, '2', 'Code source', 'N'),
(52, '6', 'Linkage', 'N'),
(52, '8', 'Field link and sequence number', 'Y'),
(55, 'a', 'Classification number', 'N'),
(55, 'b', 'Item number', 'N'),
(55, '2', 'Source of call/class number', 'N'),
(55, '8', 'Field link and sequence number', 'Y'),
(60, 'a', 'Classification number', 'Y'),
(60, 'b', 'Item number', 'N'),
(60, '8', 'Field link and sequence number', 'Y'),
(61, 'a', 'Classification number', 'Y'),
(61, 'b', 'Item number', 'N'),
(61, 'c', 'Copy information', 'N'),
(61, '8', 'Field link and sequence number', 'Y'),
(66, 'a', 'Primary G0 character set', 'N'),
(66, 'b', 'Primary G1 character set', 'N'),
(66, 'c', 'Alternate G0 or G1 character set', 'Y'),
(70, 'a', 'Classification number', 'Y'),
(70, 'b', 'Item number', 'N'),
(70, '8', 'Field link and sequence number', 'Y'),
(71, 'a', 'Classification number', 'Y'),
(71, 'b', 'Item number', 'N'),
(71, 'c', 'Copy information', 'N'),
(71, '8', 'Field link and sequence number', 'Y'),
(72, 'a', 'Subject category code', 'N'),
(72, 'x', 'Subject category code subdivision', 'Y'),
(72, '2', 'Code source', 'N'),
(72, '6', 'Linkage', 'N'),
(72, '8', 'Field link and sequence number', 'Y'),
(74, 'a', 'GPO item number', 'N'),
(74, 'z', 'Canceled/invalid GPO item number', 'Y'),
(74, '8', 'Field link and sequence number', 'Y'),
(80, 'a', 'Universal Decimal Classification number', 'N'),
(80, 'b', 'Item number', 'N'),
(80, 'x', 'Common auxiliary subdivision', 'Y'),
(80, '2', 'Edition identifier', 'N'),
(80, '6', 'Linkage', 'N'),
(80, '8', 'Field link and sequence number', 'Y'),
(82, 'a', 'Classification number', 'Y'),
(82, 'b', 'Item number', 'N'),
(82, '2', 'Edition number', 'N'),
(82, '6', 'Linkage', 'N'),
(82, '8', 'Field link and sequence number', 'Y'),
(84, 'a', 'Classification number', 'Y'),
(84, 'b', 'Item number', 'N'),
(84, '2', 'Source of number', 'N'),
(84, '6', 'Linkage', 'N'),
(84, '8', 'Field link and sequence number', 'Y'),
(86, 'a', 'Classification number', 'N'),
(86, 'z', 'Canceled/invalid classification number', 'Y'),
(86, '2', 'Number source', 'N'),
(86, '6', 'Linkage', 'N'),
(86, '8', 'Field link and sequence number', 'Y'),
(88, 'a', 'Report number', 'N'),
(88, 'z', 'Canceled/invalid report number', 'Y'),
(88, '6', 'Linkage', 'N'),
(88, '8', 'Field link and sequence number', 'Y'),
(99, 'a', 'Call Number', 'N'),
(100, 'a', 'Personal name - Author', 'N'),
(100, 'b', 'Numeration', 'N'),
(100, 'c', 'Titles and other words associated with a name', 'Y'),
(100, 'd', 'Dates associated with a name', 'N'),
(100, 'e', 'Relator term', 'Y'),
(100, 'f', 'Date of a work', 'N'),
(100, 'g', 'Miscellaneous information', 'N'),
(100, 'j', 'Attribution qualifier', 'Y'),
(100, 'k', 'Form subheading', 'Y'),
(100, 'l', 'Language of a work', 'N'),
(100, 'n', 'Number of part/section of a work', 'Y'),
(100, 'p', 'Name of part/section of a work', 'Y'),
(100, 'q', 'Fuller form of name', 'N'),
(100, 't', 'Title of a work', 'N'),
(100, 'u', 'Affiliation', 'N'),
(100, '4', 'Relator code', 'Y'),
(100, '6', 'Linkage', 'N'),
(100, '8', 'Field link and sequence number', 'Y'),
(110, 'a', 'Corporate name or jurisdiction name as entry element', 'N'),
(110, 'b', 'Subordinate unit', 'Y'),
(110, 'c', 'Location of meeting', 'N'),
(110, 'd', 'Date of meeting or treaty signing', 'Y'),
(110, 'e', 'Relator term', 'Y'),
(110, 'f', 'Date of a work', 'N'),
(110, 'g', 'Miscellaneous information', 'N'),
(110, 'k', 'Form subheading', 'Y'),
(110, 'l', 'Language of a work', 'N'),
(110, 'n', 'Number of part/section/meeting', 'Y'),
(110, 'p', 'Name of part/section of a work', 'Y'),
(110, 't', 'Title of a work', 'N'),
(110, 'u', 'Affiliation', 'N'),
(110, '4', 'Relator code', 'Y'),
(110, '6', 'Linkage', 'N'),
(110, '8', 'Field link and sequence number', 'Y'),
(111, 'a', 'Meeting name or jurisdiction name as entry element', 'N'),
(111, 'c', 'Location of meeting', 'N'),
(111, 'd', 'Date of meeting', 'N'),
(111, 'e', 'Subordinate unit', 'Y'),
(111, 'f', 'Date of a work', 'N'),
(111, 'g', 'Miscellaneous information', 'N'),
(111, 'k', 'Form subheading', 'Y'),
(111, 'l', 'Language of a work', 'N'),
(111, 'n', 'Number of part/section/meeting', 'Y'),
(111, 'p', 'Name of part/section of a work', 'Y'),
(111, 'q', 'Name of meeting following jurisdiction name entry element', 'N'),
(111, 't', 'Title of a work', 'N'),
(111, 'u', 'Affiliation', 'N'),
(111, '4', 'Relator code', 'Y'),
(111, '6', 'Linkage', 'N'),
(111, '8', 'Field link and sequence number', 'Y'),
(130, 'a', 'Uniform title', 'N'),
(130, 'd', 'Date of treaty signing', 'Y'),
(130, 'f', 'Date of a work', 'N'),
(130, 'g', 'Miscellaneous information', 'N'),
(130, 'h', 'Medium', 'N'),
(130, 'k', 'Form subheading', 'Y'),
(130, 'l', 'Language of a work', 'N'),
(130, 'm', 'Medium of performance for music', 'Y'),
(130, 'n', 'Number of part/section of a work', 'Y'),
(130, 'o', 'Arranged statement for music', 'N'),
(130, 'p', 'Name of part/section of a work', 'Y'),
(130, 'r', 'Key for music', 'N'),
(130, 's', 'Version', 'N'),
(130, 't', 'Title of a work', 'N'),
(130, '6', 'Linkage', 'N'),
(130, '8', 'Field link and sequence number', 'Y'),
(210, 'a', 'Abbreviated title', 'N'),
(210, 'b', 'Qualifying information', 'N'),
(210, '2', 'Source', 'Y'),
(210, '6', 'Linkage', 'N'),
(210, '8', 'Field link and sequence number', 'Y'),
(222, 'a', 'Key title', 'N'),
(222, 'b', 'Qualifying information', 'N'),
(222, '6', 'Linkage', 'N'),
(222, '8', 'Field link and sequence number', 'Y'),
(240, 'a', 'Uniform title', 'N'),
(240, 'd', 'Date of treaty signing', 'Y'),
(240, 'f', 'Date of a work', 'N'),
(240, 'g', 'Miscellaneous information', 'N'),
(240, 'h', 'Medium', 'N'),
(240, 'k', 'Form subheading', 'Y'),
(240, 'l', 'Language of a work', 'N'),
(240, 'm', 'Medium of performance for music', 'Y'),
(240, 'n', 'Number of part/section of a work', 'Y'),
(240, 'o', 'Arranged statement for music', 'N'),
(240, 'p', 'Name of part/section of a work', 'Y'),
(240, 'r', 'Key for music', 'N'),
(240, 's', 'Version', 'N'),
(240, '6', 'Linkage', 'N'),
(240, '8', 'Field link and sequence number', 'Y'),
(242, 'a', 'Title', 'N'),
(242, 'b', 'Remainder of title', 'N'),
(242, 'c', 'Statement of responsibility, etc.', 'N'),
(242, 'h', 'Medium', 'N'),
(242, 'n', 'Number of part/section of a work', 'Y'),
(242, 'p', 'Name of part/section of a work', 'Y'),
(242, 'y', 'Language code of translated title', 'N'),
(242, '6', 'Linkage', 'N'),
(242, '8', 'Field link and sequence number', 'Y'),
(243, 'a', 'Uniform title', 'N'),
(243, 'd', 'Date of treaty signing', 'Y'),
(243, 'f', 'Date of a work', 'N'),
(243, 'g', 'Miscellaneous information', 'N'),
(243, 'h', 'Medium', 'N'),
(243, 'k', 'Form subheading', 'Y'),
(243, 'l', 'Language of a work', 'N'),
(243, 'm', 'Medium of performance for music', 'N'),
(243, 'n', 'Number of part/section of a work', 'Y'),
(243, 'o', 'Arranged statement for music', 'N'),
(243, 'p', 'Name of part/section of a work', 'Y'),
(243, 'r', 'Key for music', 'N'),
(243, 's', 'Version', 'N'),
(243, '6', 'Linkage', 'N'),
(243, '8', 'Field link and sequence number', 'Y'),
(245, 'a', 'Title', 'N'),
(245, 'b', 'Remainder of title', 'N'),
(245, 'c', 'Statement of responsibility, etc.', 'N'),
(245, 'f', 'Inclusive dates', 'N'),
(245, 'g', 'Bulk dates', 'N'),
(245, 'h', 'Medium', 'N'),
(245, 'k', 'Form', 'Y'),
(245, 'n', 'Number of part/section of a work', 'Y'),
(245, 'p', 'Name of part/section of a work', 'Y'),
(245, 's', 'Version', 'N'),
(245, '6', 'Linkage', 'N'),
(245, '8', 'Field link and sequence number', 'Y'),
(246, 'a', 'Title proper/short title', 'N'),
(246, 'b', 'Remainder of title', 'N'),
(246, 'f', 'Date or sequential designation', 'N'),
(246, 'g', 'Miscellaneous information', 'N'),
(246, 'h', 'Medium', 'N'),
(246, 'i', 'Display text', 'N'),
(246, 'n', 'Number of part/section of a work', 'Y'),
(246, 'p', 'Name of part/section of a work', 'Y'),
(246, '5', 'Institution to which field applies', 'N'),
(246, '6', 'Linkage', 'N'),
(246, '8', 'Field link and sequence number', 'Y'),
(247, 'a', 'Title proper/short title', 'N'),
(247, 'b', 'Remainder of title', 'N'),
(247, 'f', 'Date or sequential designation', 'N'),
(247, 'g', 'Miscellaneous information', 'N'),
(247, 'h', 'Medium', 'N'),
(247, 'n', 'Number of part/section of a work', 'Y'),
(247, 'p', 'Name of part/section of a work', 'Y'),
(247, 'x', 'International Standard Serial Number', 'N'),
(247, '6', 'Linkage', 'N'),
(247, '8', 'Field link and sequence number', 'Y'),
(250, 'a', 'Edition statement', 'N'),
(250, 'b', 'Remainder of edition statement', 'N'),
(250, '6', 'Linkage', 'N'),
(250, '8', 'Field link and sequence number', 'Y'),
(254, 'a', 'Musical presentation statement', 'N'),
(254, '6', 'Linkage', 'N'),
(254, '8', 'Field link and sequence number', 'Y'),
(255, 'a', 'Statement of scale', 'N'),
(255, 'b', 'Statement of projection', 'N'),
(255, 'c', 'Statement of coordinates', 'N'),
(255, 'd', 'Statement of zone', 'N'),
(255, 'e', 'Statement of equinox', 'N'),
(255, 'f', 'Outer G-ring coordinate pairs', 'N'),
(255, 'g', 'Exclusion G-ring coordinate pairs', 'N'),
(255, '6', 'Linkage', 'N'),
(255, '8', 'Field link and sequence number', 'Y'),
(256, 'a', 'Computer file characteristics', 'N'),
(256, '6', 'Linkage', 'N'),
(256, '8', 'Field link and sequence number', 'Y'),
(257, 'a', 'Country of producing entity', 'N'),
(257, '6', 'Linkage', 'N'),
(257, '8', 'Field link and sequence number', 'Y'),
(260, 'a', 'Place of publication, distribution, etc.', 'Y'),
(260, 'b', 'Name of publisher, distributor, etc.', 'Y'),
(260, 'c', 'Date of publication, distribution, etc.', 'Y'),
(260, 'd', 'Plates of publisher''s number for music (Pre-AACR 2)  [LOCAL]', 'Y'),
(260, 'e', 'Place of manufacture', 'N'),
(260, 'f', 'Manufacturer', 'N'),
(260, 'g', 'Date of manufacture', 'N'),
(260, '3', 'Materials specified', 'N'),
(260, '8', 'Field link and sequence number', 'Y'),
(261, 'a', 'Producing company', 'Y'),
(261, 'b', 'Releasing company (primary distributor)', 'Y'),
(261, 'd', 'Date of production, release, etc.', 'Y'),
(261, 'e', 'Contractual producer', 'Y'),
(261, 'f', 'Place of production, release, etc.', 'Y'),
(261, '6', 'Linkage', 'N'),
(261, '8', 'Field link and sequence number', 'Y'),
(262, 'a', 'Place of production, release, etc.', 'N'),
(262, 'b', 'Publisher or trade name', 'N'),
(262, 'c', 'Date of production, release, etc.', 'N'),
(262, 'k', 'Serial identification', 'N'),
(262, 'l', 'Matrix and/or take number', 'N'),
(262, '6', 'Linkage', 'N'),
(262, '8', 'Field link and sequence number', 'Y'),
(263, 'a', 'Projected publication date', 'N'),
(263, '6', 'Linkage', 'N'),
(263, '8', 'Field link and sequence number', 'Y'),
(270, 'a', 'Address', 'Y'),
(270, 'b', 'City', 'N'),
(270, 'c', 'State or province', 'N'),
(270, 'd', 'Country', 'N'),
(270, 'e', 'Postal code', 'N'),
(270, 'f', 'Terms preceding attention name', 'N'),
(270, 'g', 'Attention name', 'N'),
(270, 'h', 'Attention position', 'N'),
(270, 'i', 'Type of address', 'N'),
(270, 'j', 'Specialized telephone number', 'Y'),
(270, 'k', 'Telephone number', 'Y'),
(270, 'l', 'Fax number', 'Y'),
(270, 'm', 'Electronic mail address', 'Y'),
(270, 'n', 'TDD or TTY number', 'Y'),
(270, 'p', 'Contact person', 'Y'),
(270, 'q', 'Title of contact person', 'Y'),
(270, 'r', 'Hours', 'Y'),
(270, 'z', 'Public note', 'Y'),
(270, '4', 'Relator code', 'Y'),
(270, '6', 'Linkage', 'N'),
(270, '8', 'Field link and sequence number', 'Y'),
(300, 'a', 'Extent', 'Y'),
(300, 'b', 'Other physical details', 'N'),
(300, 'c', 'Dimensions', 'Y'),
(300, 'e', 'Accompanying material', 'N'),
(300, 'f', 'Type of unit', 'Y'),
(300, 'g', 'Size of unit', 'Y'),
(300, '3', 'Materials specified', 'N'),
(300, '6', 'Linkage', 'N'),
(300, '8', 'Field link and sequence number', 'Y'),
(306, 'a', 'Playing time', 'Y'),
(306, '6', 'Linkage', 'N'),
(306, '8', 'Field link and sequence number', 'Y'),
(307, 'a', 'Hours', 'N'),
(307, 'b', 'Additional information', 'N'),
(307, '6', 'Linkage', 'N'),
(307, '8', 'Field link and sequence number', 'Y'),
(310, 'a', 'Current publication frequency', 'N'),
(310, 'b', 'Date of current publication frequency', 'N'),
(310, '6', 'Linkage', 'N'),
(310, '8', 'Field link and sequence number', 'Y'),
(340, 'a', 'Material base and configuration', 'Y'),
(340, 'b', 'Dimensions', 'Y'),
(340, 'c', 'Materials applied to surface', 'Y'),
(340, 'd', 'Information recording technique', 'Y'),
(340, 'e', 'Support', 'Y'),
(340, 'f', 'Production rate/ratio', 'Y'),
(340, 'h', 'Location within medium', 'Y'),
(340, 'i', 'Technical specifications of medium', 'Y'),
(340, '3', 'Materials specified', 'N'),
(340, '6', 'Linkage', 'N'),
(340, '8', 'Field link and sequence number', 'Y'),
(342, 'a', 'Name', 'N'),
(342, 'b', 'Coordinate or distance units', 'N'),
(342, 'c', 'Latitude resolution', 'N'),
(342, 'd', 'Longitude resolution', 'N'),
(342, 'e', 'Standard parallel or oblique line latitude', 'Y'),
(342, 'f', 'Oblique line longitude', 'Y'),
(342, 'g', 'Longitude of central meridian or projection center', 'N'),
(342, 'h', 'Latitude of projection origin or projection center', 'N'),
(342, 'i', 'False easting', 'N'),
(342, 'j', 'False northing', 'N'),
(342, 'k', 'Scale factor', 'N'),
(342, 'l', 'Height of perspective point above surface', 'N'),
(342, 'm', 'Azimuthal angle', 'N'),
(342, 'n', 'Azimuth measure point longitude or straight vertical', 'N'),
(342, 'o', 'Landsat number and path number', 'N'),
(342, 'p', 'Zone identifier', 'N'),
(342, 'q', 'Ellipsoid name', 'N'),
(342, 'r', 'Semi-major axis', 'N'),
(342, 's', 'Denominator of flattening ratio', 'N'),
(342, 't', 'Vertical resolution', 'N'),
(342, 'u', 'Vertical encoding method', 'N'),
(342, 'v', 'Local planar, local, or other projection or grid description', 'N'),
(342, 'w', 'Local planar or local georeference information', 'N'),
(342, '2', 'Reference method used', 'N'),
(342, '6', 'Linkage', 'N'),
(342, '8', 'Field link and sequence number', 'Y'),
(343, 'a', 'Planar coordinate encoding method', 'N'),
(343, 'b', 'Planar distance units', 'N'),
(343, 'c', 'Abscissa resolution', 'N'),
(343, 'd', 'Ordinate resolution', 'N'),
(343, 'e', 'Distance resolution', 'N'),
(343, 'f', 'Bearing resolution', 'N'),
(343, 'g', 'Bearing units', 'N'),
(343, 'h', 'Bearing reference direction', 'N'),
(343, 'i', 'Bearing reference meridian', 'N'),
(343, '6', 'Linkage', 'N'),
(343, '8', 'Field link and sequence number', 'Y'),
(351, 'a', 'Organization', 'Y'),
(351, 'b', 'Arrangement', 'Y'),
(351, 'c', 'Hierarchical level', 'N'),
(351, '3', 'Materials specified', 'N'),
(351, '6', 'Linkage', 'N'),
(351, '8', 'Field link and sequence number', 'Y'),
(352, 'a', 'Direct reference method', 'N'),
(352, 'b', 'Object type', 'Y'),
(352, 'c', 'Object count', 'Y'),
(352, 'd', 'Row count', 'N'),
(352, 'e', 'Column count', 'N'),
(352, 'f', 'Vertical count', 'N'),
(352, 'g', 'VPF topology level', 'N'),
(352, 'i', 'Indirect reference description', 'N'),
(352, '6', 'Linkage', 'N'),
(352, '8', 'Field link and sequence number', 'Y'),
(355, 'a', 'Security classification', 'N'),
(355, 'b', 'Handling instructions', 'Y'),
(355, 'c', 'External dissemination information', 'Y'),
(355, 'd', 'Downgrading or declassification event', 'N'),
(355, 'e', 'Classification system', 'N'),
(355, 'f', 'Country of origin code', 'N'),
(355, 'g', 'Downgrading date', 'N'),
(355, 'h', 'Declassification date', 'N'),
(355, 'j', 'Authorization', 'Y'),
(355, '6', 'Linkage', 'N'),
(355, '8', 'Field link and sequence number', 'Y'),
(362, 'a', 'Dates of publication and/or sequential designation', 'N'),
(362, 'z', 'Source of information', 'N'),
(362, '6', 'Linkage', 'N'),
(362, '8', 'Field link and sequence number', 'Y'),
(400, 'a', 'Personal name', 'N'),
(400, 'b', 'Numeration', 'N'),
(400, 'c', 'Titles and other words associated with a name', 'Y'),
(400, 'd', 'Dates associated with a name', 'N'),
(400, 'e', 'Relator term', 'Y'),
(400, 'f', 'Date of a work', 'N'),
(400, 'g', 'Miscellaneous information', 'N'),
(400, 'k', 'Form subheading', 'Y'),
(400, 'l', 'Language of a work', 'N'),
(400, 'n', 'Number of part/section of a work', 'Y'),
(400, 'p', 'Name of part/section of a work', 'Y'),
(400, 't', 'Title of a work', 'N'),
(400, 'u', 'Affiliation', 'N'),
(400, 'v', 'Volume number/sequential designation', 'N'),
(400, 'x', 'International Standard Serial Number', 'N'),
(400, '4', 'Relator code', 'Y'),
(400, '6', 'Linkage', 'N'),
(400, '8', 'Field link and sequence number', 'Y'),
(410, 'a', 'Corporate name or jurisdiction name as entry element', 'N'),
(410, 'b', 'Subordinate unit', 'Y'),
(410, 'c', 'Location of meeting', 'N'),
(410, 'd', 'Date of meeting or treaty signing', 'Y'),
(410, 'e', 'Relator term', 'Y'),
(410, 'f', 'Date of a work', 'N'),
(410, 'g', 'Miscellaneous information', 'N'),
(410, 'k', 'Form subheading', 'Y'),
(410, 'l', 'Language of a work', 'N'),
(410, 'n', 'Number of part/section/meeting', 'Y'),
(410, 'p', 'Name of part/section of a work', 'Y'),
(410, 't', 'Title of a work', 'N'),
(410, 'u', 'Affiliation', 'N'),
(410, 'v', 'Volume number/sequential designation', 'N'),
(410, 'x', 'International Standard Serial Number', 'N'),
(410, '4', 'Relator code', 'Y'),
(410, '6', 'Linkage', 'N'),
(410, '8', 'Field link and sequence number', 'Y'),
(411, 'a', 'Meeting name or jurisdiction name as entry element', 'N'),
(411, 'c', 'Location of meeting', 'N'),
(411, 'd', 'Date of meeting', 'N'),
(411, 'e', 'Subordinate unit', 'Y'),
(411, 'f', 'Date of a work', 'N'),
(411, 'g', 'Miscellaneous information', 'N'),
(411, 'k', 'Form subheading', 'Y'),
(411, 'l', 'Language of a work', 'N'),
(411, 'n', 'Number of part/section/meeting', 'Y'),
(411, 'p', 'Name of part/section of a work', 'Y'),
(411, 'q', 'Name of meeting following jurisdiction name entry element', 'N'),
(411, 't', 'Title of a work', 'N'),
(411, 'u', 'Affiliation', 'N'),
(411, 'v', 'Volume number/sequential designation', 'N'),
(411, 'x', 'International Standard Serial Number', 'N'),
(411, '4', 'Relator code', 'Y'),
(411, '6', 'Linkage', 'N'),
(411, '8', 'Field link and sequence number', 'Y'),
(440, 'a', 'Title', 'N'),
(440, 'n', 'Number of part/section of a work', 'Y'),
(440, 'p', 'Name of part/section of a work', 'Y'),
(440, 'v', 'Volume number/sequential designation', 'N'),
(440, 'x', 'International Standard Serial Number', 'N'),
(440, '6', 'Linkage', 'N'),
(440, '8', 'Field link and sequence number', 'Y'),
(490, 'a', 'Series statement', 'Y'),
(490, 'l', 'Library of Congress call number', 'N'),
(490, 'v', 'Volume number/sequential designation', 'Y'),
(490, 'x', 'International Standard Serial Number', 'N'),
(490, '6', 'Linkage', 'N'),
(490, '8', 'Field link and sequence number', 'Y'),
(500, 'a', 'General note', 'N'),
(500, '3', 'Materials specified', 'N'),
(500, '5', 'Institution to which field applies', 'N'),
(500, '6', 'Linkage', 'N'),
(500, '8', 'Field link and sequence number', 'Y'),
(501, 'a', 'With note', 'N'),
(501, '5', 'Institution to which field applies', 'N'),
(501, '6', 'Linkage', 'N'),
(501, '8', 'Field link and sequence number', 'Y'),
(502, 'a', 'Dissertation note', 'N'),
(502, '6', 'Linkage', 'N'),
(502, '8', 'Field link and sequence number', 'Y'),
(504, 'a', 'Bibliography, etc. note', 'N'),
(504, 'b', 'Number of references', 'N'),
(504, '6', 'Linkage', 'N'),
(504, '8', 'Field link and sequence number', 'Y'),
(505, 'a', 'Formatted contents note', 'N'),
(505, 'g', 'Miscellaneous information', 'Y'),
(505, 'r', 'Statement of responsibility', 'Y'),
(505, 't', 'Title', 'Y'),
(505, 'u', 'Uniform Resource Identifier', 'Y'),
(505, '6', 'Linkage', 'N'),
(505, '8', 'Field link and sequence number', 'Y'),
(506, 'a', 'Terms governing access', 'N'),
(506, 'b', 'Jurisdiction', 'Y'),
(506, 'c', 'Physical access provisions', 'Y'),
(506, 'd', 'Authorized users', 'Y'),
(506, 'e', 'Authorization', 'Y'),
(506, '3', 'Materials specified', 'N'),
(506, '5', 'Institution to which field applies', 'N'),
(506, '6', 'Linkage', 'N'),
(506, '8', 'Field link and sequence number', 'Y'),
(507, 'a', 'Representative fraction of scale note', 'N'),
(507, 'b', 'Remainder of scale note', 'N'),
(507, '6', 'Linkage', 'N'),
(507, '8', 'Field link and sequence number', 'Y'),
(508, 'a', 'Creation/production credits note', 'N'),
(508, '6', 'Linkage', 'N'),
(508, '8', 'Field link and sequence number', 'Y'),
(510, 'a', 'Name of source', 'N'),
(510, 'b', 'Coverage of source', 'N'),
(510, 'c', 'Location within source', 'N'),
(510, 'x', 'International Standard Serial Number', 'N'),
(510, '3', 'Materials specified', 'N'),
(510, '6', 'Linkage', 'N'),
(510, '8', 'Field link and sequence number', 'Y'),
(511, 'a', 'Participant or performer note', 'N'),
(511, '6', 'Linkage', 'N'),
(511, '8', 'Field link and sequence number', 'Y'),
(513, 'a', 'Type of report', 'N'),
(513, 'b', 'Period covered', 'N'),
(513, '6', 'Linkage', 'N'),
(513, '8', 'Field link and sequence number', 'Y'),
(514, 'a', 'Attribute accuracy report', 'N'),
(514, 'b', 'Attribute accuracy value', 'Y'),
(514, 'c', 'Attribute accuracy explanation', 'Y'),
(514, 'd', 'Logical consistency report', 'Y'),
(514, 'e', 'Completeness report', 'N'),
(514, 'f', 'Horizontal position accuracy report', 'N'),
(514, 'g', 'Horizontal position accuracy value', 'Y'),
(514, 'h', 'Horizontal position accuracy explanation', 'Y'),
(514, 'i', 'Vertical positional accuracy report', 'N'),
(514, 'j', 'Vertical positional accuracy value', 'Y'),
(514, 'k', 'Vertical positional accuracy explanation', 'Y'),
(514, 'm', 'Cloud cover', 'N'),
(514, 'u', 'Uniform Resource Identifier', 'Y'),
(514, 'z', 'Display note', 'Y'),
(514, '6', 'Linkage', 'N'),
(514, '8', 'Field link and sequence number', 'Y'),
(515, 'a', 'Numbering peculiarities note', 'N'),
(515, '6', 'Linkage', 'N'),
(515, '8', 'Field link and sequence number', 'Y'),
(516, 'a', 'Type of computer file or data note', 'N'),
(516, '6', 'Linkage', 'N'),
(516, '8', 'Field link and sequence number', 'Y'),
(518, 'a', 'Date/time and place of an event note', 'N'),
(518, '3', 'Materials specified', 'N'),
(518, '6', 'Linkage', 'N'),
(518, '8', 'Field link and sequence number', 'Y'),
(520, 'a', 'Summary, etc. note', 'N'),
(520, 'b', 'Expansion of summary note', 'N'),
(520, 'u', 'Uniform Resource Identifier', 'Y'),
(520, '3', 'Materials specified', 'N'),
(520, '6', 'Linkage', 'N'),
(520, '8', 'Field link and sequence number', 'Y'),
(521, 'a', 'Target audience note', 'Y'),
(521, 'b', 'Source', 'N'),
(521, '3', 'Materials specified', 'N'),
(521, '6', 'Linkage', 'N'),
(521, '8', 'Field link and sequence number', 'Y'),
(522, 'a', 'Geographic coverage note', 'N'),
(522, '6', 'Linkage', 'N'),
(522, '8', 'Field link and sequence number', 'Y'),
(524, 'a', 'Preferred citation of described materials note', 'N'),
(524, '2', 'Source of schema used', 'N'),
(524, '3', 'Materials specified', 'N'),
(524, '6', 'Linkage', 'N'),
(524, '8', 'Field link and sequence number', 'Y'),
(525, 'a', 'Supplement note', 'N'),
(525, '6', 'Linkage', 'N'),
(525, '8', 'Field link and sequence number', 'Y'),
(526, 'a', 'Program name', 'N'),
(526, 'b', 'Interest level', 'N'),
(526, 'c', 'Reading level', 'N'),
(526, 'd', 'Title point value', 'N'),
(526, 'i', 'Display text', 'N'),
(526, 'x', 'Nonpublic note', 'Y'),
(526, 'z', 'Public note', 'Y'),
(526, '5', 'Institution to which field applies', 'N'),
(526, '6', 'Linkage', 'N'),
(526, '8', 'Field link and sequence number', 'Y'),
(530, 'a', 'Additional physical form available note', 'N'),
(530, 'b', 'Availability source', 'N'),
(530, 'c', 'Availability conditions', 'N'),
(530, 'd', 'Order number', 'N'),
(530, 'u', 'Uniform Resource Identifier', 'Y'),
(530, '3', 'Materials specified', 'N'),
(530, '6', 'Linkage', 'N'),
(530, '8', 'Field link and sequence number', 'Y'),
(533, 'a', 'Type of reproduction', 'N'),
(533, 'b', 'Place of reproduction', 'Y'),
(533, 'c', 'Agency responsible for reproduction', 'Y'),
(533, 'd', 'Date of reproduction', 'N'),
(533, 'e', 'Physical description of reproduction', 'N'),
(533, 'f', 'Series statement of reproduction', 'Y'),
(533, 'm', 'Dates and/or sequential designation of issues reproduced', 'Y'),
(533, 'n', 'Note about reproduction', 'Y'),
(533, '3', 'Materials specified', 'N'),
(533, '6', 'Linkage', 'N'),
(533, '7', 'Fixed-length data elements of reproduction', 'N'),
(533, '8', 'Field link and sequence number', 'Y'),
(534, 'a', 'Main entry of original', 'N'),
(534, 'b', 'Edition statement of original', 'N'),
(534, 'c', 'Publication, distribution, etc. of original', 'N'),
(534, 'e', 'Physical description, etc. of original', 'N'),
(534, 'f', 'Series statement of original', 'Y'),
(534, 'k', 'Key title of original', 'Y'),
(534, 'l', 'Location of original', 'N'),
(534, 'm', 'Material specific details', 'N'),
(534, 'n', 'Note about original', 'Y'),
(534, 'p', 'Introductory phrase', 'N'),
(534, 't', 'Title statement of original', 'N'),
(534, 'x', 'International Standard Serial Number', 'Y'),
(534, 'z', 'International Standard Book Number', 'Y'),
(534, '6', 'Linkage', 'N'),
(534, '8', 'Field link and sequence number', 'Y'),
(535, 'a', 'Custodian', 'N'),
(535, 'b', 'Postal address', 'Y'),
(535, 'c', 'Country', 'Y'),
(535, 'd', 'Telecommunications address', 'Y'),
(535, 'g', 'Repository location code', 'N'),
(535, '3', 'Materials specified', 'N'),
(535, '6', 'Linkage', 'N'),
(535, '8', 'Field link and sequence number', 'Y'),
(536, 'a', 'Text of note', 'N'),
(536, 'b', 'Contract number', 'Y'),
(536, 'c', 'Grant number', 'Y'),
(536, 'd', 'Undifferentiated number', 'Y'),
(536, 'e', 'Program element number', 'Y'),
(536, 'f', 'Project number', 'Y'),
(536, 'g', 'Task number', 'Y'),
(536, 'h', 'Work unit number', 'Y'),
(536, '6', 'Linkage', 'N'),
(536, '8', 'Field link and sequence number', 'Y'),
(538, 'a', 'System details note', 'N'),
(538, '6', 'Linkage', 'N'),
(538, '8', 'Field link and sequence number', 'Y'),
(540, 'a', 'Terms governing use and reproduction', 'N'),
(540, 'b', 'Jurisdiction', 'N'),
(540, 'c', 'Authorization', 'N'),
(540, 'd', 'Authorized users', 'N'),
(540, '3', 'Materials specified', 'N'),
(540, '5', 'Institution to which field applies', 'N'),
(540, '6', 'Linkage', 'N'),
(540, '8', 'Field link and sequence number', 'Y'),
(541, 'a', 'Source of acquisition', 'N'),
(541, 'b', 'Address', 'N'),
(541, 'c', 'Method of acquisition', 'N'),
(541, 'd', 'Date of acquisition', 'N'),
(541, 'e', 'Accession number', 'N'),
(541, 'f', 'Owner', 'N'),
(541, 'h', 'Purchase price', 'N'),
(541, 'n', 'Extent', 'Y'),
(541, 'o', 'Type of unit', 'Y'),
(541, '3', 'Materials specified', 'N'),
(541, '5', 'Institution to which field applies', 'N'),
(541, '6', 'Linkage', 'N'),
(541, '8', 'Field link and sequence number', 'Y'),
(544, 'a', 'Custodian', 'Y'),
(544, 'b', 'Address', 'Y'),
(544, 'c', 'Country', 'Y'),
(544, 'd', 'Title', 'Y'),
(544, 'e', 'Provenance', 'Y'),
(544, 'n', 'Note', 'Y'),
(544, '3', 'Materials specified', 'N'),
(544, '6', 'Linkage', 'N'),
(544, '8', 'Field link and sequence number', 'Y'),
(545, 'a', 'Biographical or historical note', 'N'),
(545, 'b', 'Expansion', 'N'),
(545, 'u', 'Uniform Resource Identifier', 'Y'),
(545, '6', 'Linkage', 'N'),
(545, '8', 'Field link and sequence number', 'Y'),
(546, 'a', 'Language note', 'N'),
(546, 'b', 'Information code or alphabet', 'Y'),
(546, '3', 'Materials specified', 'N'),
(546, '6', 'Linkage', 'N'),
(546, '8', 'Field link and sequence number', 'Y'),
(547, 'a', 'Former title complexity note', 'N'),
(547, '6', 'Linkage', 'N'),
(547, '8', 'Field link and sequence number', 'Y'),
(550, 'a', 'Issuing body note', 'N'),
(550, '6', 'Linkage', 'N'),
(550, '8', 'Field link and sequence number', 'Y'),
(552, 'a', 'Entity type label', 'N'),
(552, 'b', 'Entity type definition and source', 'N'),
(552, 'c', 'Attribute label', 'N'),
(552, 'd', 'Attribute definition and source', 'N'),
(552, 'e', 'Enumerated domain value', 'Y'),
(552, 'f', 'Enumerated domain value definition and source', 'Y'),
(552, 'g', 'Range domain minimum and maximum', 'N'),
(552, 'h', 'Codeset name and source', 'N'),
(552, 'i', 'Unrepresentable domain', 'N'),
(552, 'j', 'Attribute units of measurement and resolution', 'N'),
(552, 'k', 'Beginning date and ending date of attribute values', 'N'),
(552, 'l', 'Attribute value accuracy', 'N'),
(552, 'm', 'Attribute value accuracy explanation', 'N'),
(552, 'n', 'Attribute measurement frequency', 'N'),
(552, 'o', 'Entity and attribute overview', 'Y'),
(552, 'p', 'Entity and attribute detail citation', 'Y'),
(552, 'u', 'Uniform Resource Identifier', 'Y'),
(552, 'z', 'Display note', 'Y'),
(552, '6', 'Linkage', 'N'),
(552, '8', 'Field link and sequence number', 'Y'),
(555, 'a', 'Cumulative index/finding aids note', 'N'),
(555, 'b', 'Availability source', 'Y'),
(555, 'c', 'Degree of control', 'N'),
(555, 'd', 'Bibliographic reference', 'N'),
(555, 'u', 'Uniform Resource Identifier', 'Y'),
(555, '3', 'Materials specified', 'N'),
(555, '6', 'Linkage', 'N'),
(555, '8', 'Field link and sequence number', 'Y'),
(556, 'a', 'Information about documentation note', 'N'),
(556, 'z', 'International Standard Book Number', 'Y'),
(556, '6', 'Linkage', 'N'),
(556, '8', 'Field link and sequence number', 'Y'),
(561, 'a', 'History', 'N'),
(561, '3', 'Materials specified', 'N'),
(561, '5', 'Institution to which field applies', 'N'),
(561, '6', 'Linkage', 'N'),
(561, '8', 'Field link and sequence number', 'Y'),
(562, 'a', 'Identifying markings', 'Y'),
(562, 'b', 'Copy identification', 'Y'),
(562, 'c', 'Version identification', 'Y'),
(562, 'd', 'Presentation format', 'Y'),
(562, 'e', 'Number of copies', 'Y'),
(562, '3', 'Materials specified', 'N'),
(562, '5', 'Institution to which field applies', 'N'),
(562, '6', 'Linkage', 'N'),
(562, '8', 'Field link and sequence number', 'Y'),
(565, 'a', 'Number of cases/variables', 'N'),
(565, 'b', 'Name of variable', 'Y'),
(565, 'c', 'Unit of analysis', 'Y'),
(565, 'd', 'Universe of data', 'Y'),
(565, 'e', 'Filing scheme or code', 'Y'),
(565, '3', 'Materials specified', 'N'),
(565, '6', 'Linkage', 'N'),
(565, '8', 'Field link and sequence number', 'Y'),
(567, 'a', 'Methodology note', 'N'),
(567, '6', 'Linkage', 'N'),
(567, '8', 'Field link and sequence number', 'Y'),
(580, 'a', 'Linking entry complexity note', 'N'),
(580, '6', 'Linkage', 'N'),
(580, '8', 'Field link and sequence number', 'Y'),
(581, 'a', 'Publications about described materials note', 'N'),
(581, 'z', 'International Standard Book Number', 'Y'),
(581, '3', 'Materials specified', 'N'),
(581, '6', 'Linkage', 'N'),
(581, '8', 'Field link and sequence number', 'Y'),
(583, 'a', 'Action', 'N'),
(583, 'b', 'Action identification', 'Y'),
(583, 'c', 'Time/date of action', 'Y'),
(583, 'd', 'Action interval', 'Y'),
(583, 'e', 'Contingency for action', 'Y'),
(583, 'f', 'Authorization', 'Y'),
(583, 'h', 'Jurisdiction', 'Y'),
(583, 'i', 'Method of action', 'Y'),
(583, 'j', 'Site of action', 'Y'),
(583, 'k', 'Action agent', 'Y'),
(583, 'l', 'Status', 'Y'),
(583, 'n', 'Extent', 'Y'),
(583, 'o', 'Type of unit', 'Y'),
(583, 'u', 'Uniform Resource Identifier', 'Y'),
(583, 'x', 'Nonpublic note', 'Y'),
(583, 'z', 'Public note', 'Y'),
(583, '2', 'Source of term', 'N'),
(583, '3', 'Materials specified', 'N'),
(583, '5', 'Institution to which field applies', 'N'),
(583, '6', 'Linkage', 'N'),
(583, '8', 'Field link and sequence number', 'Y'),
(584, 'a', 'Accumulation', 'Y'),
(584, 'b', 'Frequency of use', 'Y'),
(584, '3', 'Materials specified', 'N'),
(584, '5', 'Institution to which field applies', 'N'),
(584, '6', 'Linkage', 'N'),
(584, '8', 'Field link and sequence number', 'Y'),
(585, 'a', 'Exhibitions note', 'N'),
(585, '3', 'Materials specified', 'N'),
(585, '5', 'Institution to which field applies', 'N'),
(585, '6', 'Linkage', 'N'),
(585, '8', 'Field link and sequence number', 'Y'),
(586, 'a', 'Awards note', 'N'),
(586, '3', 'Materials specified', 'N'),
(586, '6', 'Linkage', 'N'),
(586, '8', 'Field link and sequence number', 'Y'),
(600, 'a', 'Personal name', 'N'),
(600, 'b', 'Numeration', 'N'),
(600, 'c', 'Titles and other words associated with a name', 'Y'),
(600, 'd', 'Dates associated with a name', 'N'),
(600, 'e', 'Relator term', 'Y'),
(600, 'f', 'Date of a work', 'N'),
(600, 'g', 'Miscellaneous information', 'N'),
(600, 'h', 'Medium', 'N'),
(600, 'k', 'Form subheading', 'Y'),
(600, 'j', 'Attribution qualifier', 'Y'),
(600, 'l', 'Language of a work', 'N'),
(600, 'm', 'Medium of performance for music', 'Y'),
(600, 'n', 'Number of part/section of a work', 'Y'),
(600, 'o', 'Arranged statement for music', 'N'),
(600, 'p', 'Name of part/section of a work', 'Y'),
(600, 'q', 'Fuller form of name', 'N'),
(600, 'r', 'Key for music', 'N'),
(600, 's', 'Version', 'N'),
(600, 't', 'Title of a work', 'N'),
(600, 'u', 'Affiliation', 'N'),
(600, 'v', 'Form subdivision', 'Y'),
(600, 'x', 'General subdivision', 'Y'),
(600, 'y', 'Chronological subdivision', 'Y'),
(600, 'z', 'Geographic subdivision', 'Y'),
(600, '2', 'Source of heading or term', 'N'),
(600, '3', 'Materials specified', 'N'),
(600, '4', 'Relator code', 'Y'),
(600, '6', 'Linkage', 'N'),
(600, '8', 'Field link and sequence number', 'Y'),
(610, 'a', 'Corporate name or jurisdiction name as entry element', 'N'),
(610, 'b', 'Subordinate unit', 'Y'),
(610, 'c', 'Location of meeting', 'N'),
(610, 'd', 'Date of meeting or treaty signing', 'Y'),
(610, 'e', 'Relator term', 'Y'),
(610, 'f', 'Date of a work', 'N'),
(610, 'g', 'Miscellaneous information', 'N'),
(610, 'h', 'Medium', 'N'),
(610, 'k', 'Form subheading', 'Y'),
(610, 'l', 'Language of a work', 'N'),
(610, 'm', 'Medium of performance for music', 'Y'),
(610, 'n', 'Number of part/section/meeting', 'Y'),
(610, 'o', 'Arranged statement for music', 'N'),
(610, 'p', 'Name of part/section of a work', 'Y'),
(610, 'r', 'Key for music', 'N'),
(610, 's', 'Version', 'N'),
(610, 't', 'Title of a work', 'N'),
(610, 'u', 'Affiliation', 'N'),
(610, 'v', 'Form subdivision', 'Y'),
(610, 'x', 'General subdivision', 'Y'),
(610, 'y', 'Chronological subdivision', 'Y'),
(610, 'z', 'Geographic subdivision', 'Y'),
(610, '2', 'Source of heading or term', 'N'),
(610, '3', 'Materials specified', 'N'),
(610, '4', 'Relator code', 'Y'),
(610, '6', 'Linkage', 'N'),
(610, '8', 'Field link and sequence number', 'Y'),
(611, 'a', 'Meeting name or jurisdiction name as entry element', 'N'),
(611, 'c', 'Location of meeting', 'N'),
(611, 'd', 'Date of meeting', 'N'),
(611, 'e', 'Subordinate unit', 'Y'),
(611, 'f', 'Date of a work', 'N'),
(611, 'g', 'Miscellaneous information', 'N'),
(611, 'h', 'Medium', 'N'),
(611, 'k', 'Form subheading', 'Y'),
(611, 'l', 'Language of a work', 'N'),
(611, 'n', 'Number of part/section/meeting', 'Y'),
(611, 'p', 'Name of part/section of a work', 'Y'),
(611, 'q', 'Name of meeting following jurisdiction name entry element', 'N'),
(611, 's', 'Version', 'N'),
(611, 't', 'Title of a work', 'N'),
(611, 'u', 'Affiliation', 'N'),
(611, 'v', 'Form subdivision', 'Y'),
(611, 'x', 'General subdivision', 'Y'),
(611, 'y', 'Chronological subdivision', 'Y'),
(611, 'z', 'Geographic subdivision', 'Y'),
(611, '2', 'Source of heading or term', 'N'),
(611, '3', 'Materials specified', 'N'),
(611, '4', 'Relator code', 'Y'),
(611, '6', 'Linkage', 'N'),
(611, '8', 'Field link and sequence number', 'Y'),
(630, 'a', 'Uniform title', 'N'),
(630, 'd', 'Date of treaty signing', 'Y'),
(630, 'f', 'Date of a work', 'N'),
(630, 'g', 'Miscellaneous information', 'N'),
(630, 'h', 'Medium', 'N'),
(630, 'k', 'Form subheading', 'Y'),
(630, 'l', 'Language of a work', 'N'),
(630, 'm', 'Medium of performance for music', 'Y'),
(630, 'n', 'Number of part/section of a work', 'Y'),
(630, 'o', 'Arranged statement for music', 'N'),
(630, 'p', 'Name of part/section of a work', 'Y'),
(630, 'r', 'Key for music', 'N'),
(630, 's', 'Version', 'N'),
(630, 't', 'Title of a work', 'N'),
(630, 'v', 'Form subdivision', 'Y'),
(630, 'x', 'General subdivision', 'Y'),
(630, 'y', 'Chronological subdivision', 'Y'),
(630, 'z', 'Geographic subdivision', 'Y'),
(630, '2', 'Source of heading or term', 'N'),
(630, '3', 'Materials specified', 'N'),
(630, '6', 'Linkage', 'N'),
(630, '8', 'Field link and sequence number', 'Y'),
(650, 'a', 'Topical term or geographic name as entry element', 'N'),
(650, 'b', 'Topical term following geographic name as entry element', 'N'),
(650, 'c', 'Location of event', 'N'),
(650, 'd', 'Active dates', 'N'),
(650, 'e', 'Relator term', 'N'),
(650, 'v', 'Form subdivision', 'Y'),
(650, 'x', 'General subdivision', 'Y'),
(650, 'y', 'Chronological subdivision', 'Y'),
(650, 'z', 'Geographic subdivision', 'Y'),
(650, '2', 'Source of heading or term', 'N'),
(650, '3', 'Materials specified', 'N'),
(650, '6', 'Linkage', 'N'),
(650, '8', 'Field link and sequence number', 'Y'),
(651, 'a', 'Geographic name', 'N'),
(651, 'v', 'Form subdivision', 'Y'),
(651, 'x', 'General subdivision', 'Y'),
(651, 'y', 'Chronological subdivision', 'Y'),
(651, 'z', 'Geographic subdivision', 'Y'),
(651, '2', 'Source of heading or term', 'N'),
(651, '3', 'Materials specified', 'N'),
(651, '6', 'Linkage', 'N'),
(651, '8', 'Field link and sequence number', 'Y'),
(653, 'a', 'Uncontrolled term', 'Y'),
(653, '6', 'Linkage', 'N'),
(653, '8', 'Field link and sequence number', 'Y'),
(654, 'a', 'Focus term', 'N'),
(654, 'b', 'Non-focus term', 'Y'),
(654, 'c', 'Facet/hierarchy designation', 'Y'),
(654, 'v', 'Form subdivision', 'Y'),
(654, 'y', 'Chronological subdivision', 'Y'),
(654, 'z', 'Geographic subdivision', 'Y'),
(654, '2', 'Source of heading or term', 'N'),
(654, '3', 'Materials specified', 'N'),
(654, '6', 'Linkage', 'N'),
(654, '8', 'Field link and sequence number', 'Y'),
(655, 'a', 'Genre/form data or focus term', 'N'),
(655, 'b', 'Non-focus term', 'Y'),
(655, 'c', 'Facet/hierarchy designation', 'Y'),
(655, 'v', 'Form subdivision', 'Y'),
(655, 'x', 'General subdivision', 'Y'),
(655, 'y', 'Chronological subdivision', 'Y'),
(655, 'z', 'Geographic subdivision', 'Y'),
(655, '2', 'Source of term', 'N'),
(655, '3', 'Materials specified', 'N'),
(655, '5', 'Institution to which field applies', 'N'),
(655, '6', 'Linkage', 'N'),
(655, '8', 'Field link and sequence number', 'Y'),
(656, 'a', 'Occupation', 'N'),
(656, 'k', 'Form', 'N'),
(656, 'v', 'Form subdivision', 'Y'),
(656, 'x', 'General subdivision', 'Y'),
(656, 'y', 'Chronological subdivision', 'Y'),
(656, 'z', 'Geographic subdivision', 'Y'),
(656, '2', 'Source of term', 'N'),
(656, '3', 'Materials specified', 'N'),
(656, '6', 'Linkage', 'N'),
(656, '8', 'Field link and sequence number', 'Y'),
(657, 'a', 'Function', 'N'),
(657, 'v', 'Form subdivision', 'Y'),
(657, 'x', 'General subdivision', 'Y'),
(657, 'y', 'Chronological subdivision', 'Y'),
(657, 'z', 'Geographic subdivision', 'Y'),
(657, '2', 'Source of term', 'N'),
(657, '3', 'Materials specified', 'N'),
(657, '6', 'Linkage', 'N'),
(657, '8', 'Field link and sequence number', 'Y'),
(658, 'a', 'Main curriculum objective', 'N'),
(658, 'b', 'Subordinate curriculum objective', 'Y'),
(658, 'c', 'Curriculum code', 'N'),
(658, 'd', 'Correlation factor', 'N'),
(658, '2', 'Source of term or code', 'N'),
(658, '6', 'Linkage', 'N'),
(658, '8', 'Field link and sequence number', 'Y'),
(700, 'a', 'Personal name - additional author', 'N'),
(700, 'b', 'Numeration', 'N'),
(700, 'c', 'Titles and other words associated with a name', 'Y'),
(700, 'd', 'Dates associated with a name', 'N'),
(700, 'e', 'Relator term', 'Y'),
(700, 'f', 'Date of a work', 'N'),
(700, 'g', 'Miscellaneous information', 'N'),
(700, 'h', 'Medium', 'N'),
(700, 'j', 'Attribution qualifier', 'Y'),
(700, 'k', 'Form subheading', 'Y'),
(700, 'l', 'Language of a work', 'N'),
(700, 'm', 'Medium of performance for music', 'Y'),
(700, 'n', 'Number of part/section of a work', 'Y'),
(700, 'o', 'Arranged statement for music', 'N'),
(700, 'p', 'Name of part/section of a work', 'Y'),
(700, 'q', 'Fuller form of name', 'N'),
(700, 'r', 'Key for music', 'N'),
(700, 's', 'Version', 'N'),
(700, 't', 'Title of a work', 'N'),
(700, 'u', 'Affiliation', 'N'),
(700, 'x', 'International Standard Serial Number', 'N'),
(700, '3', 'Materials specified', 'N'),
(700, '4', 'Relator code', 'Y'),
(700, '5', 'Institution to which field applies', 'N'),
(700, '6', 'Linkage', 'N'),
(700, '8', 'Field link and sequence number', 'Y'),
(710, 'a', 'Corporate name or jurisdiction name as entry element', 'N'),
(710, 'b', 'Subordinate unit', 'Y'),
(710, 'c', 'Location of meeting', 'N'),
(710, 'd', 'Date of meeting or treaty signing', 'Y'),
(710, 'e', 'Relator term', 'Y'),
(710, 'f', 'Date of a work', 'N'),
(710, 'g', 'Miscellaneous information', 'N'),
(710, 'h', 'Medium', 'N'),
(710, 'k', 'Form subheading', 'Y'),
(710, 'l', 'Language of a work', 'N'),
(710, 'm', 'Medium of performance for music', 'Y'),
(710, 'n', 'Number of part/section/meeting', 'Y'),
(710, 'o', 'Arranged statement for music', 'N'),
(710, 'p', 'Name of part/section of a work', 'Y'),
(710, 'r', 'Key for music', 'N'),
(710, 's', 'Version', 'N'),
(710, 't', 'Title of a work', 'N'),
(710, 'u', 'Affiliation', 'N'),
(710, 'x', 'International Standard Serial Number', 'N'),
(710, '3', 'Materials specified', 'N'),
(710, '4', 'Relator code', 'Y'),
(710, '5', 'Institution to which field applies', 'N'),
(710, '6', 'Linkage', 'N'),
(710, '8', 'Field link and sequence number', 'Y'),
(711, 'a', 'Meeting name or jurisdiction name as entry element', 'N'),
(711, 'c', 'Location of meeting', 'N'),
(711, 'd', 'Date of meeting', 'N'),
(711, 'e', 'Subordinate unit', 'Y'),
(711, 'f', 'Date of a work', 'N'),
(711, 'g', 'Miscellaneous information', 'N'),
(711, 'h', 'Medium', 'N'),
(711, 'k', 'Form subheading', 'Y'),
(711, 'l', 'Language of a work', 'N'),
(711, 'n', 'Number of part/section/meeting', 'Y'),
(711, 'p', 'Name of part/section of a work', 'Y'),
(711, 'q', 'Name of meeting following jurisdiction name entry element', 'N'),
(711, 's', 'Version', 'N'),
(711, 't', 'Title of a work', 'N'),
(711, 'u', 'Affiliation', 'N'),
(711, 'x', 'International Standard Serial Number', 'N'),
(711, '3', 'Materials specified', 'N'),
(711, '4', 'Relator code', 'Y'),
(711, '5', 'Institution to which field applies', 'N'),
(711, '6', 'Linkage', 'N'),
(711, '8', 'Field link and sequence number', 'Y'),
(720, 'a', 'Name', 'N'),
(720, 'e', 'Relator term', 'Y'),
(720, '4', 'Relator code', 'Y'),
(720, '6', 'Linkage', 'N'),
(720, '8', 'Field link and sequence number', 'Y'),
(730, 'a', 'Uniform title', 'N'),
(730, 'd', 'Date of treaty signing', 'Y'),
(730, 'f', 'Date of a work', 'N'),
(730, 'g', 'Miscellaneous information', 'N'),
(730, 'h', 'Medium', 'N'),
(730, 'k', 'Form subheading', 'Y'),
(730, 'l', 'Language of a work', 'N'),
(730, 'm', 'Medium of performance for music', 'Y'),
(730, 'n', 'Number of part/section of a work', 'Y'),
(730, 'o', 'Arranged statement for music', 'N'),
(730, 'p', 'Name of part/section of a work', 'Y'),
(730, 'r', 'Key for music', 'N'),
(730, 's', 'Version', 'N'),
(730, 't', 'Title of a work', 'N'),
(730, 'x', 'International Standard Serial Number', 'N'),
(730, '3', 'Materials specified', 'N'),
(730, '5', 'Institution to which field applies', 'N'),
(730, '6', 'Linkage', 'N'),
(730, '8', 'Field link and sequence number', 'Y'),
(740, 'a', 'Uncontrolled related/analytical title', 'N'),
(740, 'h', 'Medium', 'N'),
(740, 'n', 'Number of part/section of a work', 'Y'),
(740, 'p', 'Name of part/section of a work', 'Y'),
(740, '5', 'Institution to which field applies', 'N'),
(740, '6', 'Linkage', 'N'),
(740, '8', 'Field link and sequence number', 'Y'),
(752, 'a', 'Country', 'N'),
(752, 'b', 'State, province, territory', 'N'),
(752, 'c', 'County, region, islands area', 'N'),
(752, 'd', 'City', 'N'),
(752, '6', 'Linkage', 'N'),
(752, '8', 'Field link and sequence number', 'Y'),
(753, 'a', 'Make and model of machine', 'N'),
(753, 'b', 'Programming language', 'N'),
(753, 'c', 'Operating system', 'N'),
(753, '6', 'Linkage', 'N'),
(753, '8', 'Field link and sequence number', 'Y'),
(754, 'a', 'Taxonomic name', 'Y'),
(754, 'c', 'Taxonomic category', 'Y'),
(754, 'd', 'Common or alternative name', 'Y'),
(754, 'x', 'Non-public note', 'Y'),
(754, 'z', 'Public note', 'Y'),
(754, '2', 'Source of taxonomic identification', 'N'),
(754, '6', 'Linkage', 'N'),
(754, '8', 'Field link and sequence number', 'Y'),
(760, 'a', 'Main entry heading', 'N'),
(760, 'b', 'Edition', 'N'),
(760, 'c', 'Qualifying information', 'N'),
(760, 'd', 'Place, publisher, and date of publication', 'N'),
(760, 'g', 'Relationship information', 'Y'),
(760, 'h', 'Physical description', 'N'),
(760, 'i', 'Display text', 'N'),
(760, 'm', 'Material-specific details', 'N'),
(760, 'n', 'Note', 'Y'),
(760, 'o', 'Other item identifier', 'Y'),
(760, 's', 'Uniform title', 'N'),
(760, 't', 'Title', 'N'),
(760, 'w', 'Record control number', 'Y'),
(760, 'x', 'International Standard Serial Number', 'N'),
(760, 'y', 'CODEN designation', 'N'),
(760, '6', 'Linkage', 'N'),
(760, '7', 'Control subfield', 'N'),
(760, '8', 'Field link and sequence number', 'Y'),
(762, 'a', 'Main entry heading', 'N'),
(762, 'b', 'Edition', 'N'),
(762, 'c', 'Qualifying information', 'N'),
(762, 'd', 'Place, publisher, and date of publication', 'N'),
(762, 'g', 'Relationship information', 'Y'),
(762, 'h', 'Physical description', 'N'),
(762, 'i', 'Display text', 'N'),
(762, 'm', 'Material-specific details', 'N'),
(762, 'n', 'Note', 'Y'),
(762, 'o', 'Other item identifier', 'Y'),
(762, 's', 'Uniform title', 'N'),
(762, 't', 'Title', 'N'),
(762, 'w', 'Record control number', 'Y'),
(762, 'x', 'International Standard Serial Number', 'N'),
(762, 'y', 'CODEN designation', 'N'),
(762, '6', 'Linkage', 'N'),
(762, '7', 'Control subfield', 'N'),
(762, '8', 'Field link and sequence number', 'Y'),
(765, 'a', 'Main entry heading', 'N'),
(765, 'b', 'Edition', 'N'),
(765, 'c', 'Qualifying information', 'N'),
(765, 'd', 'Place, publisher, and date of publication', 'N');
INSERT INTO `usmarc_subfield_dm` (`tag`, `subfield_cd`, `description`, `repeatable_flg`) VALUES
(765, 'g', 'Relationship information', 'Y'),
(765, 'h', 'Physical description', 'N'),
(765, 'i', 'Display text', 'N'),
(765, 'k', 'Series data for related item', 'Y'),
(765, 'm', 'Material-specific details', 'N'),
(765, 'n', 'Note', 'Y'),
(765, 'o', 'Other item identifier', 'Y'),
(765, 'r', 'Report number', 'Y'),
(765, 's', 'Uniform title', 'N'),
(765, 't', 'Title', 'N'),
(765, 'u', 'Standard Technical Report Number', 'N'),
(765, 'w', 'Record control number', 'Y'),
(765, 'x', 'International Standard Serial Number', 'N'),
(765, 'y', 'CODEN designation', 'N'),
(765, 'z', 'International Standard Book Number', 'Y'),
(765, '6', 'Linkage', 'N'),
(765, '7', 'Control subfield', 'N'),
(765, '8', 'Field link and sequence number', 'Y'),
(767, 'a', 'Main entry heading', 'N'),
(767, 'b', 'Edition', 'N'),
(767, 'c', 'Qualifying information', 'N'),
(767, 'd', 'Place, publisher, and date of publication', 'N'),
(767, 'g', 'Relationship information', 'Y'),
(767, 'h', 'Physical description', 'N'),
(767, 'i', 'Display text', 'N'),
(767, 'k', 'Series data for related item', 'Y'),
(767, 'm', 'Material-specific details', 'N'),
(767, 'n', 'Note', 'Y'),
(767, 'o', 'Other item identifier', 'Y'),
(767, 'r', 'Report number', 'Y'),
(767, 's', 'Uniform title', 'N'),
(767, 't', 'Title', 'N'),
(767, 'u', 'Standard Technical Report Number', 'N'),
(767, 'w', 'Record control number', 'Y'),
(767, 'x', 'International Standard Serial Number', 'N'),
(767, 'y', 'CODEN designation', 'N'),
(767, 'z', 'International Standard Book Number', 'Y'),
(767, '6', 'Linkage', 'N'),
(767, '7', 'Control subfield', 'N'),
(767, '8', 'Field link and sequence number', 'Y'),
(770, 'a', 'Main entry heading', 'N'),
(770, 'b', 'Edition', 'N'),
(770, 'c', 'Qualifying information', 'N'),
(770, 'd', 'Place, publisher, and date of publication', 'N'),
(770, 'g', 'Relationship information', 'Y'),
(770, 'h', 'Physical description', 'N'),
(770, 'i', 'Display text', 'N'),
(770, 'k', 'Series data for related item', 'Y'),
(770, 'm', 'Material-specific details', 'N'),
(770, 'n', 'Note', 'Y'),
(770, 'o', 'Other item identifier', 'Y'),
(770, 'r', 'Report number', 'Y'),
(770, 's', 'Uniform title', 'N'),
(770, 't', 'Title', 'N'),
(770, 'u', 'Standard Technical Report Number', 'N'),
(770, 'w', 'Record control number', 'Y'),
(770, 'x', 'International Standard Serial Number', 'N'),
(770, 'y', 'CODEN designation', 'N'),
(770, 'z', 'International Standard Book Number', 'Y'),
(770, '6', 'Linkage', 'N'),
(770, '7', 'Control subfield', 'N'),
(770, '8', 'Field link and sequence number', 'Y'),
(772, 'a', 'Main entry heading', 'N'),
(772, 'b', 'Edition', 'N'),
(772, 'c', 'Qualifying information', 'N'),
(772, 'd', 'Place, publisher, and date of publication', 'N'),
(772, 'g', 'Relationship information', 'Y'),
(772, 'h', 'Physical description', 'N'),
(772, 'i', 'Display text', 'N'),
(772, 'k', 'Series data for related item', 'Y'),
(772, 'm', 'Material-specific details', 'N'),
(772, 'n', 'Note', 'Y'),
(772, 'o', 'Other item identifier', 'Y'),
(772, 'r', 'Report number', 'Y'),
(772, 's', 'Uniform title', 'N'),
(772, 't', 'Title', 'N'),
(772, 'u', 'Standard Technical Report Number', 'N'),
(772, 'w', 'Record control number', 'Y'),
(772, 'x', 'International Standard Serial Number', 'N'),
(772, 'y', 'CODEN designation', 'N'),
(772, 'z', 'International Stan dard Book Number', 'Y'),
(772, '6', 'Linkage', 'N'),
(772, '7', 'Control subfield', 'N'),
(772, '8', 'Field link and sequence number', 'Y'),
(773, 'a', 'Main entry heading', 'N'),
(773, 'b', 'Edition', 'N'),
(773, 'd', 'Place, publisher, and date of publication', 'N'),
(773, 'g', 'Relationship information', 'Y'),
(773, 'h', 'Physical description', 'N'),
(773, 'i', 'Display text', 'N'),
(773, 'k', 'Series data for related item', 'Y'),
(773, 'm', 'Material-specific details', 'N'),
(773, 'n', 'Note', 'Y'),
(773, 'o', 'Other item identifier', 'Y'),
(773, 'p', 'Abbreviated title', 'N'),
(773, 'r', 'Report number', 'Y'),
(773, 's', 'Uniform title', 'N'),
(773, 't', 'Title', 'N'),
(773, 'u', 'Standard Technical Report Number', 'N'),
(773, 'w', 'Record control number', 'Y'),
(773, 'x', 'International Standard Serial Number', 'N'),
(773, 'y', 'CODEN designation', 'N'),
(773, 'z', 'International Standard Book Number', 'Y'),
(773, '3', 'Materials specified', 'N'),
(773, '6', 'Linkage', 'N'),
(773, '7', 'Control subfield', 'N'),
(773, '8', 'Field link and sequence number', 'Y'),
(774, 'a', 'Main entry heading', 'N'),
(774, 'b', 'Edition', 'N'),
(774, 'c', 'Qualifying information', 'N'),
(774, 'd', 'Place, publisher, and date of publication', 'N'),
(774, 'g', 'Relationship information', 'Y'),
(774, 'h', 'Physical description', 'N'),
(774, 'i', 'Display text', 'N'),
(774, 'k', 'Series data for related item', 'Y'),
(774, 'm', 'Material-specific details', 'N'),
(774, 'n', 'Note', 'Y'),
(774, 'o', 'Other item identifier', 'Y'),
(774, 'r', 'Report number', 'Y'),
(774, 's', 'Uniform title', 'N'),
(774, 't', 'Title', 'N'),
(774, 'u', 'Standard Technical Report Number', 'N'),
(774, 'w', 'Record control number', 'Y'),
(774, 'x', 'International Standard Serial Number', 'N'),
(774, 'y', 'CODEN designation', 'N'),
(774, 'z', 'International Standard Book Number', 'Y'),
(774, '6', 'Linkage', 'N'),
(774, '7', 'Control subfield', 'N'),
(774, '8', 'Field link and sequence number', 'Y'),
(775, 'a', 'Main entry heading', 'N'),
(775, 'b', 'Edition', 'N'),
(775, 'c', 'Qualifying information', 'N'),
(775, 'd', 'Place, publisher, and date of publication', 'N'),
(775, 'e', 'Language code', 'N'),
(775, 'f', 'Country code', 'N'),
(775, 'g', 'Relationship information', 'Y'),
(775, 'h', 'Physical description', 'N'),
(775, 'i', 'Display text', 'N'),
(775, 'k', 'Series data for related item', 'Y'),
(775, 'm', 'Material-specific details', 'N'),
(775, 'n', 'Note', 'Y'),
(775, 'o', 'Other item identifier', 'Y'),
(775, 'r', 'Report number', 'Y'),
(775, 's', 'Uniform title', 'N'),
(775, 't', 'Title', 'N'),
(775, 'u', 'Standard Technical Report Number', 'N'),
(775, 'w', 'Record control number', 'Y'),
(775, 'x', 'International Standard Serial Number', 'N'),
(775, 'y', 'CODEN designation', 'N'),
(775, 'z', 'International Standard Book Number', 'Y'),
(775, '6', 'Linkage', 'N'),
(775, '7', 'Control subfield', 'N'),
(775, '8', 'Field link and sequence number', 'Y'),
(776, 'a', 'Main entry heading', 'N'),
(776, 'b', 'Edition', 'N'),
(776, 'c', 'Qualifying information', 'N'),
(776, 'd', 'Place, publisher, and date of publication', 'N'),
(776, 'g', 'Relationship information', 'Y'),
(776, 'h', 'Physical description', 'N'),
(776, 'i', 'Display text', 'N'),
(776, 'k', 'Series data for related item', 'Y'),
(776, 'm', 'Material-specific details', 'N'),
(776, 'n', 'Note', 'Y'),
(776, 'o', 'Other item identifier', 'Y'),
(776, 'r', 'Report number', 'Y'),
(776, 's', 'Uniform title', 'N'),
(776, 't', 'Title', 'N'),
(776, 'u', 'Standard Technical Report Number', 'N'),
(776, 'w', 'Record control number', 'Y'),
(776, 'x', 'International Standard Serial Number', 'N'),
(776, 'y', 'CODEN designation', 'N'),
(776, 'z', 'International Standard Book Number', 'Y'),
(776, '6', 'Linkage', 'N'),
(776, '7', 'Control subfield', 'N'),
(776, '8', 'Field link and sequence number', 'Y'),
(777, 'a', 'Main entry heading', 'N'),
(777, 'b', 'Edition', 'N'),
(777, 'c', 'Qualifying information', 'N'),
(777, 'd', 'Place, publisher, and date of publication', 'N'),
(777, 'g', 'Relationship information', 'Y'),
(777, 'h', 'Physical description', 'N'),
(777, 'i', 'Display text', 'N'),
(777, 'k', 'Series data for related item', 'Y'),
(777, 'm', 'Material-specific details', 'N'),
(777, 'n', 'Note', 'Y'),
(777, 'o', 'Other item identifier', 'Y'),
(777, 's', 'Uniform title', 'N'),
(777, 't', 'Title', 'N'),
(777, 'w', 'Record control number', 'Y'),
(777, 'x', 'International Standard Serial Number', 'N'),
(777, 'y', 'CODEN designation', 'N'),
(777, '6', 'Linkage', 'N'),
(777, '7', 'Control subfield', 'N'),
(777, '8', 'Field link and sequence number', 'Y'),
(780, 'a', 'Main entry heading', 'N'),
(780, 'b', 'Edition', 'N'),
(780, 'c', 'Qualifying information', 'N'),
(780, 'd', 'Place, publisher, and date of publication', 'N'),
(780, 'g', 'Relationship information', 'Y'),
(780, 'h', 'Physical description', 'N'),
(780, 'i', 'Display text', 'N'),
(780, 'k', 'Series data for related item', 'Y'),
(780, 'm', 'Material-specific details', 'N'),
(780, 'n', 'Note', 'Y'),
(780, 'o', 'Other item identifier', 'Y'),
(780, 'r', 'Report number', 'Y'),
(780, 's', 'Uniform title', 'N'),
(780, 't', 'Title', 'N'),
(780, 'u', 'Standard Technical Report Number', 'N'),
(780, 'w', 'Record control number', 'Y'),
(780, 'x', 'International Standard Serial Number', 'N'),
(780, 'y', 'CODEN designation', 'N'),
(780, 'z', 'International Standard Book Number', 'Y'),
(780, '6', 'Linkage', 'N'),
(780, '7', 'Control subfield', 'N'),
(780, '8', 'Field link and sequence number', 'Y'),
(785, 'a', 'Main entry heading', 'N'),
(785, 'b', 'Edition', 'N'),
(785, 'c', 'Qualifying information', 'N'),
(785, 'd', 'Place, publisher, and date of publication', 'N'),
(785, 'g', 'Relationship information', 'Y'),
(785, 'h', 'Physical description', 'N'),
(785, 'i', 'Display text', 'N'),
(785, 'k', 'Series data for related item', 'Y'),
(785, 'm', 'Material-specific details', 'N'),
(785, 'n', 'Note', 'Y'),
(785, 'o', 'Other item identifier', 'Y'),
(785, 'r', 'Report number', 'Y'),
(785, 's', 'Uniform title', 'N'),
(785, 't', 'Title', 'N'),
(785, 'u', 'Standa rd Technical Report Number', 'N'),
(785, 'w', 'Record control number', 'Y'),
(785, 'x', 'International Standard Serial Number', 'N'),
(785, 'y', 'CODEN designation', 'N'),
(785, 'z', 'International Standard Book Number', 'Y'),
(785, '6', 'Linkage', 'N'),
(785, '7', 'Control subfield', 'N'),
(785, '8', 'Field link and sequence number', 'Y'),
(786, 'a', 'Main entry heading', 'N'),
(786, 'b', 'Edition', 'N'),
(786, 'c', 'Qualifying information', 'N'),
(786, 'd', 'Place, publisher, and date of publication', 'N'),
(786, 'g', 'Relationship information', 'Y'),
(786, 'h', 'Physical description', 'N'),
(786, 'i', 'Display text', 'N'),
(786, 'j', 'Period of content', 'N'),
(786, 'k', 'Series data for related item', 'Y'),
(786, 'm', 'Material-specific details', 'N'),
(786, 'n', 'Note', 'Y'),
(786, 'o', 'Other item identifier', 'Y'),
(786, 'p', 'Abbreviated title', 'N'),
(786, 'r', 'Report number', 'Y'),
(786, 's', 'Uniform title', 'N'),
(786, 't', 'Title', 'N'),
(786, 'u', 'Standard Technical Report Number', 'N'),
(786, 'v', 'Source Contribution', 'N'),
(786, 'w', 'Record control number', 'Y'),
(786, 'x', 'International Standard Serial Number', 'N'),
(786, 'y', 'CODEN designation', 'N'),
(786, 'z', 'International Standard Book Number', 'Y'),
(786, '6', 'Linkage', 'N'),
(786, '7', 'Control subfield', 'N'),
(786, '8', 'Field link and sequence number', 'Y'),
(787, 'a', 'Main entry heading', 'N'),
(787, 'b', 'Edition', 'N'),
(787, 'c', 'Qualifying information', 'N'),
(787, 'd', 'Place, publisher, and date of publication', 'N'),
(787, 'g', 'Relationship information', 'Y'),
(787, 'h', 'Physical description', 'N'),
(787, 'i', 'Display text', 'N'),
(787, 'k', 'Series data for related item', 'Y'),
(787, 'm', 'Material-specific details', 'N'),
(787, 'n', 'Note', 'Y'),
(787, 'o', 'Other item identifier', 'Y'),
(787, 'r', 'Report number', 'Y'),
(787, 's', 'Uniform title', 'N'),
(787, 't', 'Title', 'N'),
(787, 'u', 'Standard Technical Report Number', 'N'),
(787, 'w', 'Record control number', 'Y'),
(787, 'x', 'International Standard Serial Number', 'N'),
(787, 'y', 'CODEN designation', 'N'),
(787, 'z', 'International Standard Book Number', 'Y'),
(787, '6', 'Linkage', 'N'),
(787, '7', 'Control subfield', 'N'),
(787, '8', 'Field link and sequence number', 'Y'),
(800, 'a', 'Personal name', 'N'),
(800, 'b', 'Numeration', 'N'),
(800, 'c', 'Titles and other words associated with a name', 'Y'),
(800, 'd', 'Dates associated with a name', 'N'),
(800, 'e', 'Relator term', 'Y'),
(800, 'f', 'Date of a work', 'N'),
(800, 'g', 'Miscellaneous information', 'N'),
(800, 'h', 'Medium', 'N'),
(800, 'j', 'Attribution qualifier', 'Y'),
(800, 'k', 'Form subheading', 'Y'),
(800, 'l', 'Language of a work', 'N'),
(800, 'm', 'Medium of performance for music', 'Y'),
(800, 'n', 'Number of part/section of a work', 'Y'),
(800, 'o', 'Arranged statement for music', 'N'),
(800, 'p', 'Name of part/section of a work', 'Y'),
(800, 'q', 'Fuller form of name', 'N'),
(800, 'r', 'Key for music', 'N'),
(800, 's', 'Version', 'N'),
(800, 't', 'Title of a work', 'N'),
(800, 'u', 'Affiliation', 'N'),
(800, 'v', 'Volume/sequential designation', 'N'),
(800, '4', 'Relator code', 'Y'),
(800, '6', 'Linkage', 'N'),
(800, '8', 'Field link and sequence number', 'Y'),
(810, 'a', 'Corporate name or jurisdiction name as entry element', 'N'),
(810, 'b', 'Subordinate unit', 'Y'),
(810, 'c', 'Location of meeting', 'N'),
(810, 'd', 'Date of meeting or treaty signing', 'Y'),
(810, 'e', 'Relator term', 'Y'),
(810, 'f', 'Date of a work', 'N'),
(810, 'g', 'Miscellaneous information', 'N'),
(810, 'h', 'Medium', 'N'),
(810, 'k', 'Form subheading', 'Y'),
(810, 'l', 'Language of a work', 'N'),
(810, 'm', 'Medium of performance for music', 'Y'),
(810, 'n', 'Number of part/section/meeting', 'Y'),
(810, 'o', 'Arranged statement for music', 'N'),
(810, 'p', 'Name of part/section of a work', 'Y'),
(810, 'r', 'Key for music', 'N'),
(810, 's', 'Version', 'N'),
(810, 't', 'Title of a work', 'N'),
(810, 'u', 'Affiliation', 'N'),
(810, 'v', 'Volume/sequential designation', 'N'),
(810, '4', 'Relator code', 'Y'),
(810, '6', 'Linkage', 'N'),
(810, '8', 'Field link and sequence number', 'Y'),
(811, 'a', 'Meeting name or jurisdiction name as entry element', 'N'),
(811, 'c', 'Location of meeting', 'N'),
(811, 'd', 'Date of meeting', 'N'),
(811, 'e', 'Subordinate unit', 'Y'),
(811, 'f', 'Date of a work', 'N'),
(811, 'g', 'Miscellaneous information', 'N'),
(811, 'h', 'Medium', 'N'),
(811, 'k', 'Form subheading', 'Y'),
(811, 'l', 'Language of a work', 'N'),
(811, 'n', 'Number of part/section/meeting', 'Y'),
(811, 'p', 'Name of part/section of a work', 'Y'),
(811, 'q', 'Name of meeting following jurisdiction name entry element', 'N'),
(811, 's', 'Version', 'N'),
(811, 't', 'Title of a work', 'N'),
(811, 'u', 'Affiliation', 'N'),
(811, 'v', 'Volume/sequential designation', 'N'),
(811, '4', 'Relator code', 'Y'),
(811, '6', 'Linkage', 'N'),
(811, '8', 'Field link and sequence number', 'Y'),
(830, 'a', 'Uniform title', 'N'),
(830, 'd', 'Date of treaty signing', 'Y'),
(830, 'f', 'Date of a work', 'N'),
(830, 'g', 'Miscellaneous information', 'N'),
(830, 'h', 'Medium', 'N'),
(830, 'k', 'Form subheading', 'Y'),
(830, 'l', 'Language of a work', 'N'),
(830, 'm', 'Medium of performance for music', 'Y'),
(830, 'n', 'Number of part/section of a work', 'Y'),
(830, 'o', 'Arranged statement for music', 'N'),
(830, 'p', 'Name of part/section of a work', 'Y'),
(830, 'r', 'Key for music', 'N'),
(830, 's', 'Version', 'N'),
(830, 't', 'Title of a work', 'N'),
(830, 'v', 'Volume/sequential designation', 'N'),
(830, '6', 'Linkage', 'N'),
(830, '8', 'Field link and sequence number', 'Y'),
(850, 'a', 'Holding institution', 'Y'),
(850, '8', 'Field link and sequence number', 'Y'),
(852, 'a', 'Location', 'N'),
(852, 'b', 'Sublocation or collection', 'Y'),
(852, 'c', 'Shelving location', 'Y'),
(852, 'e', 'Address', 'Y'),
(852, 'f', 'Coded location qualifier', 'Y'),
(852, 'g', 'Non-coded location qualifier', 'Y'),
(852, 'h', 'Classification part', 'N'),
(852, 'i', 'Item part', 'Y'),
(852, 'j', 'Shelving control number', 'N'),
(852, 'k', 'Call number prefix', 'N'),
(852, 'l', 'Shelving form of title', 'N'),
(852, 'm', 'Call number suffix', 'N'),
(852, 'n', 'Country code', 'N'),
(852, 'p', 'Piece designation', 'N'),
(852, 'q', 'Piece physical condition', 'N'),
(852, 's', 'Copyright article-fee code', 'Y'),
(852, 't', 'Copy number', 'N'),
(852, 'x', 'Nonpublic note', 'Y'),
(852, 'z', 'Public note', 'Y'),
(852, '2', 'Source of classification or shelving scheme', 'N'),
(852, '3', 'Materials specified', 'N'),
(852, '6', 'Linkage', 'N'),
(852, '8', 'Sequence number', 'N'),
(856, 'a', 'Host name', 'Y'),
(856, 'b', 'Access number', 'Y'),
(856, 'c', 'Compression information', 'Y'),
(856, 'd', 'Path', 'Y'),
(856, 'f', 'Electronic name', 'Y'),
(856, 'h', 'Processor of request', 'N'),
(856, 'i', 'Instruction', 'Y'),
(856, 'j', 'Bits per second', 'N'),
(856, 'k', 'Password', 'N'),
(856, 'l', 'Logon', 'N'),
(856, 'm', 'Contact for access assistance', 'Y'),
(856, 'n', 'Name of location of host', 'N'),
(856, 'o', 'Operating system', 'N'),
(856, 'p', 'Port', 'N'),
(856, 'q', 'Electronic format type', 'N'),
(856, 'r', 'Settings', 'N'),
(856, 's', 'File size', 'Y'),
(856, 't', 'Terminal emulation', 'Y'),
(856, 'u', 'Uniform Resource Identifier', 'Y'),
(856, 'v', 'Hours access method available', 'Y'),
(856, 'w', 'Record control number', 'Y'),
(856, 'x', 'Nonpublic note', 'Y'),
(856, 'y', 'Link text', 'Y'),
(856, 'z', 'Public note', 'Y'),
(856, '2', 'Access method', 'N'),
(856, '3', 'Materials specified', 'N'),
(856, '6', 'Linkage', 'N'),
(856, '8', 'Field link and sequence number', 'Y'),
(880, '6', 'Linkage', 'N'),
(886, 'a', 'Tag of the foreign MARC field', 'N'),
(886, 'b', 'Content of the foreign MARC field', 'N'),
(886, '2', 'Source of data', 'N'),
(887, 'a', 'Content of non-MARC field', 'N'),
(887, '2', 'Source of data', 'N');
